<?xml version="1.0" encoding="UTF-8"?>

<ROOT xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:noNamespaceSchemaLocation='http://www.oneit.com.au/schemas/5.2/BusinessObject.xsd'>

    <BUSINESSCLASS  name="CandidateDiversityAnswer" package="performa.orm">
                
        <TABLE  name="tl_candidate_diversity_answer"    tablePrefix="object"    polymorphic="FALSE">
            
            <SINGLEREFERENCE    name="Answer"       type="DiversityAnswer"      dbcol="answer_id"       mandatory="true"    />
            <SINGLEREFERENCE    name="Question"     type="DiversityQuestion"    dbcol="question_id"     mandatory="true"    />
            <SINGLEREFERENCE    name="Candidate"    type="Candidate"            dbcol="candidate_id"    mandatory="true"    backreferenceName="DiversityAnswers"    />

        </TABLE>
        
        <SEARCH type="All"  paramFilter="tl_candidate_diversity_answer.object_id is not null"   orderBy="tl_candidate_diversity_answer.object_id"   />
            
    </BUSINESSCLASS>
    
</ROOT>